%define name leafnode
%define version 1.9.12
%define release 3mdk

Summary:	Leafnode - a leafsite NNTP server
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	artistic
Group: 		System/Servers
URL:		http://wpxx02.toxi.uni-wuerzburg.de/~krasel/leafnode.html
Source: 	ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%{name}-%{version}.tar.bz2
Source1:	leafnode.texpire
Source2:	leafnode.filters
Patch:		leafnode-buildroot.patch
Conflicts:	inn
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: netkit-base

%description
Leafnode is a small NNTP server for leaf sites without permanent
connection to the internet. It supports a subset of NNTP and is able to
automatically fetch the newsgroups the user reads regularly from the
newsserver of the ISP.

#%description -l de
#Leafnode ist ein offline-Newsserver, der vor allem fr den typischen
#Einzelnutzer-Rechner ohne permanente Internetanbindung geeignet ist.
#Leafnode bezieht automatisch die Newsgroups, die der oder die Nutzer
#regelmaessig lesen, vom Newsserver des Providers.
     

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch
%build
./configure  --prefix=/usr
make 

%install
install -d $RPM_BUILD_ROOT/etc/{cron.daily,leafnode}
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/cron.daily/texpire
install -m 600 $RPM_BUILD_ROOT/etc/leafnode/config.example $RPM_BUILD_ROOT/etc/leafnode/config
install -m 600 %SOURCE2 $RPM_BUILD_ROOT/etc/leafnode/filters
bzip2 -9f $RPM_BUILD_ROOT/usr/man/man*/*

%pre
if [ -f /etc/cron.daily/texpire.cron ] ; then
        rm -f /etc/cron.daily/texpire.cron
fi

%post
if [ `grep leafnode /etc/inetd.conf | wc -l` = 0 ] ; then
	echo "nntp	stream	tcp	nowait	news	/usr/sbin/tcpd	/usr/sbin/leafnode" >> /etc/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
	kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%postun
if [ "$1" = "0" ]; then
	grep -v leafnode /etc/inetd.conf | grep -v /bin/sh > /etc/inetd.conf.new
	mv /etc/inetd.conf.new /etc/inetd.conf
fi
if [ -f /var/run/inetd.pid ] ; then
        kill -HUP `cat /var/run/inetd.pid` 2> /dev/null ||:
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644,root,root,755)
%doc CHANGES COPYING CREDITS INSTALL README TODO tools/archivefaq.pl update.sh
%attr(755,root,root) %config /etc/cron.daily/texpire
/usr/man/*/*
%defattr (644,news,news,755)
%dir /etc/leafnode
%attr(600,news,news) %config /etc/leafnode/config
%attr(600,news,news) %config /etc/leafnode/filters
%attr(750,news,news) /usr/sbin/*
%attr(755,news,news) /usr/bin/*
%dir /var/lock/news
%dir /var/spool/news
%dir /var/spool/news/*
%dir /var/spool/news/message.id/*

%changelog
* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.9.12-3mdk
- add require netkit-base

* Tue Apr  4 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-2mdk
- changed permissions of /var* dirs to 755 (rpmlint!) 

* Thu Mar 30 2000 Denis Havlik <denis@mandrakesoft.com> 1.9.12-1mdk
- new Group (System/Servers)
- changed leafnode-buildroot.patch
- explicitely list attributes in %files section
- changed "Copyright:" to artistic

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.9.9-2mdk
- Chown to news.news some files.

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.9.9
- used srpm provided by Andre Steden <andre@steden.de>

* Tue Jan 18 2000 Andre Steden <andre@steden.de>
- build for mandrake-linux
- add leafnode-buildroot.patch
